unit uNotenumrechner;

{ **************************************************************************** }
{ **************************************************************************** }

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    GrpBoxNoten: TGroupBox;
    LbLNotenpunkte: TLabel;
    LblNotenstufe: TLabel;
    EdtNotenpunkte: TEdit;
    EdtNotenstufe: TEdit;
    BitBtnUmwandeln: TBitBtn;
    BitBtnAbbruch: TBitBtn;
    PnlUeberschrift: TPanel;
    BitBtnInformation: TBitBtn;
    procedure BitBtnUmwandelnClick(Sender: TObject);
    procedure BitBtnAbbruchClick(Sender: TObject);
    procedure BitBtnInformationClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

{ **************************************************************************** }
{ **************************************************************************** }

implementation

{$R *.dfm}

procedure TForm1.BitBtnUmwandelnClick(Sender: TObject);
var
  Notenpunkte: Integer;
  Notenstufe: string;
begin
  { Initialisierung }
  Notenpunkte := StrToInt(EdtNotenpunkte.Text);

  { "Umwandlung" }
  case Notenpunkte of
    0: Notenstufe := '6';
    1..3: Notenstufe := '5';
    4..6: Notenstufe := '4';
    7..9: Notenstufe := '3';
    10..12: Notenstufe := '2';
    13..15: Notenstufe := '1';
    else begin
      Notenstufe := 'Fehler';
      ShowMessage('Bitte geben Sie einen gltigen Zahlwert zwischen 0 und 15 ein.');
    end;
  end;

  { Ausgabe }
  EdtNotenstufe.Text := Notenstufe;
end;

{ **************************************************************************** }

procedure TForm1.BitBtnInformationClick(Sender: TObject);
begin
  MessageDlg('Notenumrechner Sek. II in I (V1.0)' + #13 +
    'Programm zur Umrechnung von Sek.-II-Notenpunkten (0-15)' + #13 + 'in Sek.-I-Notenstufen (1-6).' + #13 + #13 +
    'M. Zirbes, 2009' + #13 + #13 +
    'Bei diesem Programm handelt es sich um Freeware,' + #13 +
    'd.h. es steht zur kostenlosen Nutzung frei zur Verfgung' + #13 +
    'und darf ohne Entgelt vervielfltigt und verbreitet werden.' + #13 + #13 +
    'Kontakt: schule@mijozi.de',mtInformation,[mbOK],0);
end;

{ **************************************************************************** }

procedure TForm1.BitBtnAbbruchClick(Sender: TObject);
begin
  EdtNotenpunkte.Text := '';
  EdtNotenstufe.Text := '';
end;

{ **************************************************************************** }
{ **************************************************************************** }

end.
